%define major            0
%define libname          TAUOLA
%define libnamedev       TAUOLA-devel
%define develnamestatic  TAUOLA-static-devel
%undefine _debugsource_packages


Name:           TAUOLA
Version:        1.1.8
Release:        1%{?dist}
License:        Unknown
Url:            http://tauolapp.web.cern.ch/tauolapp
Source0:        http://tauolapp.web.cern.ch/tauolapp/resources/%{name}.%{version}/%{name}.%{version}.tar.gz
#Source0:        http://tauolapp.web.cern.ch/tauolapp/resources/TAUOLA.development.version/TAUOLA.development.version.tar.gz
#Patch0:         patch-TAUOLA-0.txt
Summary:        Tau lepton decay Monte Carlo
BuildRequires:  gcc-gfortran gcc-c++ pythia8 pythia8-devel  HepMC-devel HepMC3-devel HepMC HepMC3 autoconf automake libtool  tex(latex) tex(fmtcount.sty) ghostscript doxygen 
Requires:       HepMC HepMC3 libgfortran pythia8
BuildRequires: lhapdf lhapdf-devel 
%if %{?fedora}%{!?fedora:0} || %{?rhel}%{!?rhel:0} >= 8
BuildRequires: ghostscript-tools-dvipdf
%endif
Prefix: %{_prefix}
%description
Because of their narrow width, tau decays can be well separated from 
their production process. Only spin degrees of freedom connect these 
two parts of the physics process of interest for high energy collision 
experiments. In the following, we present a Monte Carlo algorithm which 
is based on that property. The interface supplements events generated 
by other programs, with tau decays




%package  devel
Summary:        Libraries and headers for %{name}
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.


%package  doc
Summary:        Documentation for %{name}
Requires:       %{libname} = %{version}
BuildArch:      noarch
Provides:       %{name}-doc = %{version}-%{release}

%description doc
 %{name}-doc contains the documentation for libraries and header files needed to
develop programs which make use of %{name}.






%prep
%setup -qn %{name}
#%patch0 -p0

%build
#rm -rf configure
#autoreconf
%configure  --with-hepmc=%prefix --with-hepmc3=%prefix --with-pythia8=%prefix  --with-lhapdf=%prefix
make 
make -C documentation/latex_documentation
make -C documentation/doxy_documentation
chmod 755 lib/*

%install
%make_install
chmod 755 %{buildroot}/%prefix/%_lib/*
mkdir -p %{buildroot}/%{_docdir}/%{name}/html
install -m 644 documentation/latex_documentation/*pdf   %{buildroot}/%{_docdir}/%{name}
install -m 644 documentation/doxy_documentation/html/*   %{buildroot}/%{_docdir}/%{name}/html

%files 
%doc AUTHORS README COPYING
%files -n %{libname}
/usr/%_lib/*a
/usr/%_lib/libTauolaHepMC3.so.1.1.8
/usr/%_lib/libTauolaCxxInterface.so.1.1.8
/usr/%_lib/libTauolaHEPEVT.so.1.1.8
/usr/%_lib/libTauolaHepMC.so.1.1.8
/usr/%_lib/libTauolaFortran.so.1.1.8
/usr/%_lib/libTauolaHepMC3.so
/usr/%_lib/libTauolaCxxInterface.so
/usr/%_lib/libTauolaHEPEVT.so
/usr/%_lib/libTauolaHepMC.so
/usr/%_lib/libTauolaFortran.so


%files -n %{libnamedev}
%{_includedir}/Tauola/*

%files -n %{name}-doc
%{_docdir}/%{name}/*



%changelog
* Wed Feb 19 2020 Andrii Verbytskyi 1.1.8
+ New version Prerelease.
* Thu Jan 23 2020 Andrii Verbytskyi 1.1.7
+ New version Prerelease.
* Fri Dec 22 2017 Andrii Verbytskyi 1.1.6c
+ New version
* Thu May 26 2016 Andrii Verbytskyi 1.1.5
+ Initial spec file

